with AVR.MCU;
with AVR.Real_Time.Delays;

procedure Disco_polo is
   
   Pin: array (0..3) of AVR.Bit_Number := (2, 3, 4, 5);
   
   procedure Fala is
   begin
      for I in Pin'Range loop
	 AVR.MCU.PORTD_Bits(Pin(I)) := True;
	 delay 0.1;
      end loop;
      delay 0.2;
      for I in Pin'Range loop
	 AVR.MCU.PORTD_Bits(Pin(I)) := False;
	 delay 0.1;
      end loop;
      delay 0.2;
   end Fala;
   
begin
   for I in Pin'Range loop
      AVR.MCU.DDRD_Bits(Pin(I)) := AVR.DD_Output;
   end loop;
   
   loop
      Fala;
   end loop;
   
end Disco_polo;
